Themes
Create a development reference clone of an application theme
Creates an isolated development theme while preserving existing DAM and ImageKit references without transferring asset bytes.
POST
/
api
/
application_themes
/
{id}
/
clone_for_development
Create a development reference clone of an application theme
curl --request POST \
--url https://api.fluid.app/api/application_themes/{id}/clone_for_development \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application_theme": {
"name": "Scranton Storefront (Jim Halpert dev)"
}
}
'import requests
url = "https://api.fluid.app/api/application_themes/{id}/clone_for_development"
payload = { "application_theme": { "name": "Scranton Storefront (Jim Halpert dev)" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({application_theme: {name: 'Scranton Storefront (Jim Halpert dev)'}})
};
fetch('https://api.fluid.app/api/application_themes/{id}/clone_for_development', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"application_theme": {
"id": 48241,
"name": "Scranton Storefront (Jim Halpert dev)",
"description": null,
"status": "development",
"source": "fluid",
"variables": "{\"primary_color\":\"#1B4F9C\",\"accent_color\":\"#F2C230\",\"font_family\":\"Courier Prime\"}",
"created_at": "2026-09-18T17:05:40Z",
"updated_at": "2026-09-18T17:05:40Z",
"version": "1.0",
"custom_stylesheet": null,
"global_stylesheet": null,
"theme_stylesheet_tag_injected": true,
"theme_stylesheet_columns_hidden": true,
"company_id": 1405,
"cover_image": "https://cdn.fluid.app/themes/48213/scranton-storefront-cover.jpg",
"outdated": false
},
"meta": {
"request_id": "3f9c2a7e-6b1d-4e8a-9c52-7d0e4b1a2f63",
"timestamp": "2026-09-18T16:40:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}⌘I
Create a development reference clone of an application theme
